// Custom monitor that converts into a 10K Score monitor or a 1UP monitor if you're in
// R.A. or not cuz I don't trust SRB2 anymore.
// -----
// Just add the new object "1UP or 10K monitor" (yes, that's the name) to your map
// and done! Object's thingnum is 7025 and can be found in category "Custom Monitors"
// -----
// After following the instructions above, any 1UP monitors placed will convert
// to 10,000 score monitors.
// -----
// There are comments along with the code to make it "readable" to any user
// -----
// If there is any problem with this, then tell me.

// Add the object and the state
freeslot("MT_1UPTO10K_BOX", "S_1UPTO10K_BOX")

// State properties
states[S_1UPTO10K_BOX] = {
	tics = -1, // Duration in tics (35 tics = 1 second) (-1 tic = In this case Infinite)
	nextstate = S_1UPTO10K_BOX // Next state
}

// Object properties
mobjinfo[MT_1UPTO10K_BOX] = {
	// These 3 comments are used only for Zone Builder
	//$Name 1UP or 10K monitor
	//$Category Custom Monitors
	//$Sprite 1UP10KTV

	doomednum = 7025, // Thingnum (Every object should have the different thingnums or else bad things happen!)
	radius = 18*FRACUNIT, // Radius (SRB2 multiplies this by 2 to create the width)
	height = 40*FRACUNIT, // Height
	spawnstate = S_1UPTO10K_BOX, // The spawn state
	flags = MF_NOGRAVITY // Object flags
}

addHook("MobjThinker", function(mobj) // Run this hook if we found an object
	if mobj and mobj.valid // It NEEDS to exist
	and mobj.type == MT_1UPTO10K_BOX // Check if it is the desired object
		if modeattacking == true // If we are playing Record Attack...
			P_SpawnMobjFromMobj(mobj, 0, 0, 0, MT_SCORE10K_BOX) // Spawn 10K score
		else // Oh... We're not in R.A. so...
			P_SpawnMobjFromMobj(mobj, 0, 0, 0, MT_1UP_BOX) // Spawn 1UP
		end
		P_RemoveMobj(mobj) // Buh-bye!!
	end
end)